*create_distBands.do
*This program uses the function "return_distBand.do"

clear
local incr=1
local bandMax=30

foreach zipYear in 1990 2000 2010 {
	forvalues currMax=`incr'(`incr')`bandMax' {
		global distMin=`currMax'-`incr'
		global distMax=`currMax'
		global zipDistFile="input//zipDists_`zipYear'.dta"
		global outBandsFile="temp//tempBand_${distMin}_${distMax}.dta"
		do "code/return_distBand.do"
	}

	use "temp/tempBand_0_`incr'.dta", clear
	local startNum=`incr'+`incr'
	forvalues currMax=`startNum'(`incr')`bandMax' {
		local currMin=`currMax'-`incr'
		append using "temp/tempBand_`currMin'_`currMax'.dta"
		save "output/distBands`zipYear'_0_`bandMax'.dta", replace
		rm "temp/tempBand_`currMin'_`currMax'.dta"
	}

	erase "temp/tempBand_0_`incr'.dta"

	use "output/distBands`zipYear'_0_`bandMax'.dta", clear
	rename state_fips hSt_fips
	label variable hSt_fips "Home state fips code"
	rename st_abbrev hSt_abbrev
	label variable hSt_abbrev "Home state abbreviation"
	split border_, p(_) destring gen(tempFips)
	gen state_fips=tempFips1 //this is border state, I will rename later
	replace state_fips=tempFips2 if hSt_fips==tempFips1
	sort state_fips
	merge m:1 state_fips using "input/state_fips.dta", keepusing(st_abbrev)
	drop if _merge==2 //7 state or territories not in our sample
	drop _merge tempFips1 tempFips2
	rename state_fips bSt_fips
	label variable bSt_fips "Border state fips code" //this is equal to home state for zipcodes-to-own-state-border observation
	rename st_abbrev bSt_abbrev
	label variable bSt_abbrev "Border state abbreviation"
	save "output/distBands`zipYear'_0_`bandMax'.dta", replace

	*Plot Minnesota distance bands as a test
	twoway (scatter zip_lat zip_long if border_=="27_27"&bandMin>5) (scatter zip_lat zip_long if border_=="27_55"&bandMin>5) ///
	(scatter zip_lat zip_long if border_=="27_46"&bandMin>5) (scatter zip_lat zip_long if border_=="27_38"&bandMin>5) ///
	(scatter zip_lat zip_long if border_=="19_27"&bandMin>5), title("Zipcodes greater than 5km from Minnesota Borders: `zipYear'") ///
	legend(lab(1 "MN-MN") lab(2 "MN-WI") lab(3 "MN-SD") lab(4 "MN-ND") lab(5 "MN-IA")) name(MN_borders_labeled_`zipYear', replace) aspectratio(1)
}
