*return SAT.DO
*This program returns a standardized SAT score as "SAT_standard". This is the sum of Verbal and Math SAT score or a converted ACT score.
*For the ACT conversion the program takes as input 1) ACT composite score and 2) Year 
*-----------For years 2004 and earlier it uses the concordance table in Dorans (1999)
*-----------For years 2005 and later it uses the concordance table in College Entrance Examination Board 2008
*Notes: i) 1995: SAT recenters scores to raise average, 2005: SAT includes new Writing section, perfect total score is 3*800=2400; ACT adds optional Writing section
*		ii) The ACT composite score does NOT include the Writing section, therefore the converted score should be compared to SAT Math+Verbal score (exclude SAT Writing) 
*		iii) Relatedly, since our data predates inclusion of SAT Writing we should use SAT Math+Verbal for all years to be consistent across time

gen SAT_standard=.
*First calculate standard for students taking the SAT
replace SAT_standard=satv+satm if satv!=.&satm!=. 
*Now calculate the standard for ACT students

*----Pre 2005 students
replace SAT_standard=1600 if actcomp==36&year<2005&SAT_standard==.
replace SAT_standard=1580 if actcomp==35&year<2005&SAT_standard==.
replace SAT_standard=1520 if actcomp==34&year<2005&SAT_standard==.
replace SAT_standard=1470 if actcomp==33&year<2005&SAT_standard==.
replace SAT_standard=1420 if actcomp==32&year<2005&SAT_standard==.
replace SAT_standard=1380 if actcomp==31&year<2005&SAT_standard==.
replace SAT_standard=1340 if actcomp==30&year<2005&SAT_standard==.
replace SAT_standard=1300 if actcomp==29&year<2005&SAT_standard==.
replace SAT_standard=1260 if actcomp==28&year<2005&SAT_standard==.
replace SAT_standard=1220 if actcomp==27&year<2005&SAT_standard==.
replace SAT_standard=1180 if actcomp==26&year<2005&SAT_standard==.
replace SAT_standard=1140 if actcomp==25&year<2005&SAT_standard==.
replace SAT_standard=1110 if actcomp==24&year<2005&SAT_standard==.
replace SAT_standard=1070 if actcomp==23&year<2005&SAT_standard==.
replace SAT_standard=1030 if actcomp==22&year<2005&SAT_standard==.
replace SAT_standard=990 if actcomp==21&year<2005&SAT_standard==.
replace SAT_standard=950 if actcomp==20&year<2005&SAT_standard==.
replace SAT_standard=910 if actcomp==19&year<2005&SAT_standard==.
replace SAT_standard=870 if actcomp==18&year<2005&SAT_standard==.
replace SAT_standard=830 if actcomp==17&year<2005&SAT_standard==.
replace SAT_standard=780 if actcomp==16&year<2005&SAT_standard==.
replace SAT_standard=740 if actcomp==15&year<2005&SAT_standard==.
replace SAT_standard=680 if actcomp==14&year<2005&SAT_standard==.
replace SAT_standard=620 if actcomp==13&year<2005&SAT_standard==.
replace SAT_standard=560 if actcomp==12&year<2005&SAT_standard==.
replace SAT_standard=500 if actcomp==11&year<2005&SAT_standard==.

*----2005-present students
replace SAT_standard=1600 if actcomp==36&year>2004&SAT_standard==.
replace SAT_standard=1560 if actcomp==35&year>2004&SAT_standard==.
replace SAT_standard=1510 if actcomp==34&year>2004&SAT_standard==.
replace SAT_standard=1460 if actcomp==33&year>2004&SAT_standard==.
replace SAT_standard=1420 if actcomp==32&year>2004&SAT_standard==.
replace SAT_standard=1380 if actcomp==31&year>2004&SAT_standard==.
replace SAT_standard=1340 if actcomp==30&year>2004&SAT_standard==.
replace SAT_standard=1300 if actcomp==29&year>2004&SAT_standard==.
replace SAT_standard=1260 if actcomp==28&year>2004&SAT_standard==.
replace SAT_standard=1220 if actcomp==27&year>2004&SAT_standard==.
replace SAT_standard=1190 if actcomp==26&year>2004&SAT_standard==.
replace SAT_standard=1150 if actcomp==25&year>2004&SAT_standard==.
replace SAT_standard=1110 if actcomp==24&year>2004&SAT_standard==.
replace SAT_standard=1070 if actcomp==23&year>2004&SAT_standard==.
replace SAT_standard=1030 if actcomp==22&year>2004&SAT_standard==.
replace SAT_standard=990 if actcomp==21&year>2004&SAT_standard==.
replace SAT_standard=950 if actcomp==20&year>2004&SAT_standard==.
replace SAT_standard=910 if actcomp==19&year>2004&SAT_standard==.
replace SAT_standard=870 if actcomp==18&year>2004&SAT_standard==.
replace SAT_standard=830 if actcomp==17&year>2004&SAT_standard==.
replace SAT_standard=790 if actcomp==16&year>2004&SAT_standard==.
replace SAT_standard=740 if actcomp==15&year>2004&SAT_standard==.
replace SAT_standard=690 if actcomp==14&year>2004&SAT_standard==.
replace SAT_standard=640 if actcomp==13&year>2004&SAT_standard==.
replace SAT_standard=590 if actcomp==12&year>2004&SAT_standard==.
replace SAT_standard=530 if actcomp==11&year>2004&SAT_standard==.
